summaryrefslogtreecommitdiff
path: root/tests/misc/split-a
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/split-a')
-rwxr-xr-xtests/misc/split-a96
1 files changed, 96 insertions, 0 deletions
diff --git a/tests/misc/split-a b/tests/misc/split-a
new file mode 100755
index 0000000..3026aac
--- /dev/null
+++ b/tests/misc/split-a
@@ -0,0 +1,96 @@
+#!/bin/sh
+# Show that split -a works.
+
+# Copyright (C) 2002, 2003, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ split --version
+fi
+
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=split-a.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# Generate a 27-byte file
+# yes|tr -d y|head -n27 > in
+echo abcdefghijklmnopqrstuvwxyz > in
+
+# This should fail.
+split -b 1 -a 1 in 2> err && fail=1
+test -f xa || fail=1
+test -f xz || fail=1
+test -f xaa && fail=1
+test -f xaz && fail=1
+rm -f x*
+
+# With a longer suffix, it must succeed.
+split --verbose -b 1 -a 2 in 2> err || fail=1
+test -f xaa || fail=1
+test -f xaz || fail=1
+test -f xba || fail=1
+test -f xbb && fail=1
+
+cat <<\EOF > exp
+creating file `xaa'
+creating file `xab'
+creating file `xac'
+creating file `xad'
+creating file `xae'
+creating file `xaf'
+creating file `xag'
+creating file `xah'
+creating file `xai'
+creating file `xaj'
+creating file `xak'
+creating file `xal'
+creating file `xam'
+creating file `xan'
+creating file `xao'
+creating file `xap'
+creating file `xaq'
+creating file `xar'
+creating file `xas'
+creating file `xat'
+creating file `xau'
+creating file `xav'
+creating file `xaw'
+creating file `xax'
+creating file `xay'
+creating file `xaz'
+creating file `xba'
+EOF
+
+cmp err exp || fail=1
+test $fail = 1 && diff err exp 2> /dev/null
+
+(exit $fail); exit $fail